Get Verifications for an existing Applicant
curl --request GET \
--url https://api.dataspike.io/api/v3/verifications/applicant/{applicant_id} \
--header 'ds-api-token: <api-key>'import requests
url = "https://api.dataspike.io/api/v3/verifications/applicant/{applicant_id}"
headers = {"ds-api-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'ds-api-token': '<api-key>'}};
fetch('https://api.dataspike.io/api/v3/verifications/applicant/{applicant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "01827ed4-c928-7a3c-9a30-7ab7cc169d11",
"applicant_id": "01827ed4-c928-7a3c-9a30-7ab7cc169d11",
"checks": {
"document_mrz": {
"data": {
"document_type": "P",
"country": "DEU",
"name": "John",
"surname": "Doe",
"doc_number": "P-1234567890",
"nationality": "DEU",
"birth_date": "1983-03-21",
"sex": "M",
"expiry_date": "2021-02-24"
},
"pending_documents": [],
"errors": [
{
"code": 1001,
"message": "document parsing failed"
}
]
},
"face_comparison": {
"pending_documents": [],
"errors": [
{
"code": 1001,
"message": "document parsing failed"
}
]
},
"poa": {
"pending_documents": [],
"errors": [
{
"code": 1001,
"message": "document parsing failed"
}
]
},
"liveness": {
"data": {
"estimated_age": 37,
"age_interval": [
32,
45
]
},
"pending_documents": [],
"errors": [
{
"code": 1001,
"message": "document parsing failed"
}
]
}
},
"created_at": "2023-07-18T15:32:13.000Z",
"verification_url": "https://am.dataspike.io/VDBA1B2EA6A28A7D2",
"verification_url_id": "VDBA1B2EA6A28A7D2",
"expires_at": "2023-07-18T15:32:13.000Z",
"is_sandbox": false,
"profile_id": "01827ed4-c928-7a3c-9a30-7ab7cc169d11",
"settings": {
"poi_required": true,
"poi_allowed_documents": [],
"face_comparison_required": true,
"face_comparison_allowed_documents": [],
"poa_required": false,
"allow_poi_manual_uploads": false,
"allow_desktop": false,
"disable_cross_check_by_bio": false,
"disable_cross_check_by_photo": false,
"disable_verify_poa_country_match_with_poi": false,
"countries": [
"FR"
],
"ui_settings": {},
"manual_field_settings": {
"enabled": true,
"description": "<string>",
"full_name": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"email": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"phone": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"country": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"dob": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"gender": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"citizenship": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"address": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"certificate_of_incorporation": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"ownership_document": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"custom_fields": [
{
"label": "<string>",
"caption": "<string>",
"order": 123,
"options": {
"choices": [
"<string>"
],
"type": "<string>"
}
}
]
},
"finish_screen_settings": {
"enabled": true,
"settings": {
"title": "<string>",
"main_text": "<string>",
"redirect_warning": "<string>",
"cta": "<string>",
"redirect_link": "<string>"
}
}
},
"documents": [
{
"document_id": "01827ed4-c928-7a3c-9a30-7ab7cc169d11"
}
],
"completed_at": "2023-07-18T15:32:13.000Z",
"poi_data": {
"has_mrz": true,
"raw_mrz_type": "P",
"country": "DEU",
"full_name": "John Doe",
"name": "John",
"surname": "Doe",
"document_number": "P-1234567890",
"nationality": "DEU",
"birth_date": "1983-03-21",
"sex": "M",
"expiry_date": "2021-02-24",
"issue_date": "2021-02-24",
"pin": "<string>",
"card_number": "<string>",
"license_number": "<string>",
"license_type": "<string>",
"license_class": "<string>",
"cpf_number": "<string>",
"vin": "<string>",
"nin": "<string>",
"occupation": "<string>",
"polling_unit": "<string>",
"region": "<string>",
"restrictions": "<string>",
"height": "<string>",
"registration_date": "<string>",
"parents_names": "<string>",
"endorsements": "<string>",
"middle_name": "William",
"patronymic_name": "Ivanovich",
"name_local": "Иван",
"surname_local": "Иванов",
"middle_name_local": "<string>",
"patronymic_name_local": "Иванович",
"doc_type_local": "<string>",
"place_of_birth": "<string>",
"place_of_birth_local": "<string>",
"issuing_authority": "<string>",
"issuing_authority_local": "<string>",
"address": "<string>",
"address_local": "<string>",
"document_discriminator": "<string>",
"code": "<string>",
"can": "<string>",
"eyes_color": "<string>",
"hair_color": "<string>",
"weight": "<string>",
"blood_group": "<string>",
"citizenship": "<string>",
"ssrn": "<string>",
"civil_status": "<string>",
"residence_certificate_number": "<string>",
"visa_type": "<string>",
"visa_issue_date": "<string>",
"visa_expiry_date": "<string>",
"petitioner": "<string>"
},
"aml_search_id": "d358ace9-9e35-42cd-b8b7-837c1005d2f5",
"manual_fields": {
"full_name": "<string>",
"email": "<string>",
"phone": "<string>",
"country": "<string>",
"dob": "<string>",
"citizenship": "<string>",
"address": "<string>",
"custom_fields": {}
},
"custom_files": {}
}
],
"has_next": false
}Verifications
Get Verifications for an existing Applicant
Retrieve detailed information about an existing verification by providing existing Applicant ID as a URL parameter.
GET
/
api
/
v3
/
verifications
/
applicant
/
{applicant_id}
Get Verifications for an existing Applicant
Authorizations
Path Parameters
Fetch Verifications by Applicant ID
Example:
"01827ed4-c928-7a3c-9a30-7ab7cc169d11"
Query Parameters
Current page
Limit of returned items per page
⌘I